<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.jca.distributed-workmanager.short-running-threads" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-core-timeout,core-threads,keepalive-time,max-threads,queue-length,thread-factory"/>
        <elem name="addr-params" value="profile,subsystem,distributed-workmanager,short-running-threads"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jca"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.threads.executor.short-running-threads.$short-running-threads"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.threads.thread-factory.$thread-factory" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.jca.distributed-workmanager"/>
        <ref feature="subsystem.jca"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="keepalive-time" nillable="true" stability="default"/>
        <param name="allow-core-timeout" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="thread-factory" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="jca"/>
        <param name="distributed-workmanager" feature-id="true"/>
        <param name="short-running-threads" feature-id="true"/>
        <param name="core-threads" nillable="true" stability="default"/>
        <param name="max-threads" stability="default"/>
        <param name="queue-length" stability="default"/>
    </params>
</feature-spec>